## m16c-flash 0.1

=== Makefile ===
CFLAGS+=-g -Wall -pedantic
LFLAGS+=

all: m16c-flash

clean:
	rm ccomport.o
	rm cpage.o
	rm cmotfile.o
	rm cm16flash.o
	rm m16c-flash

ccomport.o: ccomport.cxx ccomport.h
	g++ $(CFLAGS) ccomport.cxx -c -o ccomport.o 

cpage.o: cpage.cxx cpage.h
	g++ $(CFLAGS) cpage.cxx -c -o cpage.o

cmotfile.o: cmotfile.cxx cmotfile.h
	g++ $(CFLAGS) cmotfile.cxx -c -o cmotfile.o

cm16flash.o: cm16flash.cxx cm16flash.h
	g++ $(CFLAGS) cm16flash.cxx -c -o cm16flash.o

m16c-flash: flashm16.cxx cm16flash.o cmotfile.o cpage.o ccomport.o
	g++ $(CFLAGS) flashm16.cxx cm16flash.o cmotfile.o cpage.o ccomport.o -o m16c-flash

install:
	cp m16c-flash /usr/bin

=== debian/changelog ===
m16c-flash (0.1-2) unstable; urgency=medium

  * Team upload.
  * Maintain package in Electronics team
    Closes: #1111949
  * Add Homepage
  * d/copyright: DEP5
  * Add watch file
  * ACK crossbuilding patch (Closes: #1014630)
  * Migrate from cdbs to dh
  * Do not fail if to be cleaned files do not exist
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Sun, 14 Sep 2025 09:05:29 +0200

m16c-flash (0.1-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007591)

 -- Bastian Germann <bage@debian.org>  Sun, 09 Jun 2024 16:58:40 +0000

m16c-flash (0.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Get package cross-building

 -- Nilesh Patra <nilesh@debian.org>  Sat, 09 Jul 2022 12:06:22 +0530

m16c-flash (0.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965708)

 -- Adrian Bunk <bunk@debian.org>  Tue, 04 Jan 2022 16:08:08 +0200

m16c-flash (0.1-1.1) unstable; urgency=low

  * NMU
  * Trivial fix for format-security FTBFS. Closes: #643438

 -- Steve McIntyre <steve.mcintyre@linaro.org>  Thu, 08 Dec 2011 16:28:48 +0000

m16c-flash (0.1-1) unstable; urgency=low

  * Initial release (Closes: #384171).

 -- Uwe Hermann <uwe@debian.org>  Wed, 23 Aug 2006 12:48:34 +0200

=== debian/control ===
Source: m16c-flash
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: Uwe Hermann <uwe@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/electronics-team/m16c-flash
Vcs-Git: https://salsa.debian.org/electronics-team/m16c-flash.git
Homepage: https://www.fischl.de/thomas/elektronik/r8c/r8c_flasher.html

Package: m16c-flash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Flash programmer for Renesas M16C and R8C microcontrollers
 m16c-flash uses a serial protocol to program Renesas M16C and R8C
 microcontrollers.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean || true

override_dh_auto_install:
	echo "Do not use upstream install target in Makefile"

override_dh_installdocs:
	dh_installdocs
	rm -f debian/m16c-flash/usr/share/doc/m16c-flash/TODO

=== debian/watch ===
version=4

https://www.fischl.de/thomas/elektronik/r8c/r8c_flasher.html .*/m16c-flash-(\d[\d.]+)\.tar\.gz
